AchievementNobodyGotTimeForThat = class(Turbine.UI.Control)
function AchievementNobodyGotTimeForThat:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.attributes = Turbine.Gameplay.LocalPlayer.GetInstance():GetAttributes()
    self.ExecuteUpdate = function(delta)
        if Turbine.Engine.GetLocalTime() % 10 == 0 then
            for key, value in pairs(Turbine.Gameplay.Profession) do
                if self.attributes:GetProfessionInfo(value) then
                    handler:Fail("Nobody Got Time For That", "Learned a Profession", 0x410DA94C)
                end
            end
        end
    end
    self.updateCallback = AddCallback(Updater, "ExecuteUpdate", self.ExecuteUpdate)

end

function AchievementNobodyGotTimeForThat:Unload()
    if self.updateCallback then
        RemoveCallback(Updater, "ExecuteUpdate",  self.updateCallback)
        self.updateCallback = nil
    end
end